Help to Installator

Toolkit Installator

Description

Complex installator of usefull macros for WinEdt enriched by JErik's modifications and macros. Toolkit Installator installs the macros without any need of manual adjustment. Simply choose the components and follow instructions.

Version 1.3

Contact: erik.bartos@gmail.com


Components

  • Required plugins and macros:
    • plugin: MUI
    • macros: addOrUpdate, cfgSectionReader
  • Czech and Slovak language support:
    • (Pdf)CSLaTeX accessories: new items in Accessories Main Menu, MiKTeX configuration
    • CS dictionaries: Slovak, Czech dictionaries, submodes :SK, :CZ
    • Latin2 support: document mode Latin2, translation tables
    • CS utilities: vlna
  • WinEdt's community contributions:
    • Set of new plugins: Table Designer, New LaTeX Document Interface, Graphics Interface, Command Completion Wizard, TeXtab
    • Utils for EDT mode: EDTplus package, getVariables macro
    • Completition contributions: macros complete, completeWord, autoLabel
    • BibTeX macros: BibTeX package, macros bibak, bibGetEntry (modified)
    • TeXmode package
  • Macros for document handling, graphics and programming:
    • Macros in new Main Menu entry
    • Improved ToolBar
    • New GUI tables: bracket support (Delim3), FyenmMF support
    • Document samples for: CSLaTeX, FORM, C, FORTRAN, Feynmf, Axodraw
  • Programming modes:
    • Form mode and GUI
    • C/C++ language mode
    • Fortran language mode
  • JErik's WinEdt optional settings and appearance:
    • JErik's new dictionaries
    • JErik's preferences, settings and appearance


Components

Required plugins and macros

MUI plugin

With version 2.5 of WinEdt the MUI plugin seems to be obsolete. This WinEdt version comes with new My User Interface (MUI), which allows macro writers to design and execute dialogs that can be used for user interaction when launching some appliations. Because some older macros have required this plugin, it is still included into Toolkit Installator.

addOrUpdate macro

Required macro mainly for installing and updating purposes, very useful for macro writers. More about macro usage on homepage.

cfgSectionReader macro

As in the previous case, see the macro homepage.


Components

Czech and Slovak language support

(Pdf)CSLaTeX accessories

This feature includes in Accessories Main Menu new items which executes csplain, cslatex, pdfcsplain and pdfcslatex accordingly. Besides, MiKTeX is configured (ini-files and TeX formats are generated) to smoothly execute corresponding items.

CS dictionaries and Latin2 support

This option installs Slovak and Czech dictionaries,

two document submodes (:SK, :CZ) and Latin2 coding support. This support includes document mode Latin2 and translation tables

which allows one to open and save document in Latin2 (ISO 8859-2) coding. To enable this automatic conversion, one must open a document with Open Dialog in Latin2 mode

or alternatively add in the beginning of a document the line:

% -*- Latin2 -*-

CS utilities

Installation of vlna program and assignment the reference to MUI macro (which run vlna program) in Accessories Main Menu.

With help of this program, one can add tie (~) to specific letters in the document.


Components

WinEdt's Community Contributions

Set of new plugins
  • Table designer - link

  • New LaTeX Document Interface - link

  • Graphics Interface - link

  • Command Completion Wizard - link

  • TeXtab - link
Macros for EDT mode
  • EDTplus - link
  • getVariables - link
Completition contributions
  • complete - link
  • completeWord - link
  • autoLabel - link
BibTeX macros

This set of macros assists you in editing and managing BibTEX files - link

TeXmode package

This (self-installing) highly configurable macro package provides sophisticated TeX shortcuts (defined as Active Strings) - link


Components

Macros for document handling, graphics and programming

  • Macros in new Main Menu entry

    "Tvar" new Main Menu entry contains a set of new macros which were created mainly for my purposes.

  • Improved ToolBar

    A hint how to customize ToolBar.

  • New GUI tables

    These GUI tables are designed for the bracket and FeynMF support.

  • Document sample files

    Small collection of new sample files.


Components

Programming modes

  • Form mode and GUI

    New document mode Form with corresponding keywords, switches and filter sets. GUI table is also added.

  • C/C++ language mode

    New document mode C/C++ with corresponding keywords, switches and filter sets..

  • Fortran language mode

    New document mode Fortran with corresponding keywords, switches and filter sets.


Components

JErik's WinEdt optional settings and appearance

JErik's new dictionaries

New dictionaries are added:

  • Slovak (Addon): words missing in the Slovak dictionary
  • User (Addon): words missing in the English dictionaries
  • Physicists: names of the physicists

JErik's preferences, settings and appearance

This adjustments are not neccesary, but I've accustomed to them. Try them and it's on you if you'll find them useful.

- The following shortcuts are defined:

  • Ctrl+Alt+U: Font
  • Ctrl+Alt+R: References
  • Ctrl+Alt+T: Sections
  • Ctrl+Alt+N: Greek Lowercase
  • Ctrl+Alt+M: Greek Uppercase
  • Ctrl+Alt+B: Bookmarks
  • Ctrl+Alt+I: BibTeX

- Add new Background and Font Schemes, set Backup and Save Folders.


Installation

  • Main information
  • Czech and Slovak language support
  • Macros for document handling, graphics and programming
  • Programming modes and macros
  • JErik's WinEdt optional settings and appearance
Main information
Until you aren't run the WinEdt for the first time after its installation it's recommended to create backup of your current configuration (to avoid any possible problems). You will do this through Main Menu entry Options|Maintenance|Backup ...

When you have decided to install new WinEdt macros by Toolkit Installator, simply unzip the file installator.zip into the arbitrary directory. Then open WinEdt editor and execute the installation macro install.edt trough the Macros|Execute Macro Script... or press the keystroke Ctrl+F9.

You will be welcomed with the following window

After the confirmation you can choose the installable components by Typical installation,

or you can switch to Advanced installation.

With this type of installation one can choose only the items which are needed.

.

Following instructions are valid for the choise of all components.

Czech and Slovak language support

If you have installed previously PdfCSplain or PdfCSLaTeX, the files pdfcsplain.ini or pdfcslatex.ini may be presented on your computer. In that case you must confirm following questions

WinEdt's community contributions

With this option checked you will be confronted with the windows giving you the choice to set in details the parameters of the contained submacros. If you are not familiar with them, simply press OK in all cases

Macros for document handling, graphics and programming
Programming modes and macros
JErik's WinEdt optional settings and appearance

Only one question is asked. I recommend to click "Yes".


Upgrade

Update components

Instructions
For the latest version of Toolkit Installator you can checked the site http://www.dthph.sav.sk/?Installator.

From version 1.3 there exists possibility to update installed components through update process. However, if you have installed older version than 1.3 you must uninstall previous one and install version 1.3 or higher. If you decide to perform update, as in the case of the installation, unzip the file installator.zip into the arbitrary directory. Then open WinEdt editor and execute the installation macro install.edt trough the Macros|Execute Macro Script... or press the keystroke Ctrl+F9.

Then you will choose the action "Update installed components"

After the confirmation the macro will check your current version of installed components. If you have installed the latest version of Toolkit Installator you will see information

If update process will find the older version of installed components it automaticly update them. None installed components will not be updated. At the end of updated process you will gain message


Restoration

Restore all

Instructions

If you think over to remove the Toolkit Installator, at first you must to realize, that all changes done in the WinEdt settings, starting from the date of it's installation, will be lost after the restoration process. It means that if you have done any changes in the WinEdt configuration after the Toolkit Installator's installation, they will be also lost. It is one unpleasant feature of the restoration process. Therefore carefully decide what you want to do.

If you have decided to remove the Toolkit Installator from WinEdt, follow the instructions from previous sections, i.e., unzip the file installator.zip into the arbitrary directory. Then open WinEdt editor and execute the installation macro install.edt trough the Macros|Execute Macro Script... or press the keystroke Ctrl+F9.

Then choose the action "Restore all"

and all installed compontents will be removed. There does't exist the possibility to remove only one feature, you must remove them all. If you are intereseted in any especial feature used by the Toolkit Installtor, many of them you can find on the WinEdt community's homepage.